/* 
Тестирование производилось на Arduino IDE 1.6.11
Дата тестирования 12.11.2016г.
*/ 


#include <OneWire.h>                        // Подключаем библиотеку OneWire
#include <DallasTemperature.h>              // Подключаем библиотеку DallasTempature

#define ONE_WIRE_BUS 2                      // Указываем, к какому выводу подключена DQ

OneWire oneWire(ONE_WIRE_BUS);
DallasTemperature sensors(&oneWire);

void setup(void)
{
 Serial.begin(9600);                        // Задаем скорость передачи данных
 sensors.begin();                           // Запуск библиотеки, по умолчанию 9 бит
}
 
void loop(void)
{
 Serial.print(" Reading Temperature...");
 sensors.requestTemperatures();             // Запрос на считывание температуры
 Serial.println("Read");
 Serial.print(" Sensor Temperature 1: ");
 Serial.print(sensors.getTempCByIndex(0));  // Отображение температуры датчика 1
}
